#!/bin/bash
echo "Configuring server for apps only"
echo "** Make sure your /mnt/apps is mounted via NFS to the DB server **"
if [ "$1" ! -eq "--no-input" ]; then
    read -p "Press any key to continue, ctrl-c to cancel ..."
fi

# setup apache dirs
#make sure apps is mounted
if [ ! -e /mnt/apps/sites/apache ]; then
    mount /mnt/apps
fi

#is it mounted?
mount | grep /mnt/apps >/dev/null
if [ "$?" -eq "0" ]; then
    #ok its mounted, are dirs setup?
    if [ ! -e /mnt/apps/sites/apache ]; then
        cp -Rf /home/newsapps/sites /mnt/apps/sites
        rm -Rf /home/newsapps/sites
        ln -s /mnt/apps/sites /home/newsapps/sites
    fi
fi

sudo update-rc.d pgpool disable >/dev/null
sudo service pgpool stop
sudo update-rc.d postgresql-8.4 disable >/dev/null
sudo service postgresql-8.4 stop
sudo update-rc.d postfix disable >/dev/null
sudo service postfix stop
sudo update-rc.d nfs-kernel-server disable >/dev/null
sudo service nfs-kernel-server stop

sudo update-rc.d apache2 enable >/dev/null
sudo service apache2 start
sudo update-rc.d memcached enable >/dev/null
sudo service memcached start

echo ""
echo "Server is setup with Apache+Memcached"
