#!/bin/bash

# find instances
# restart apache on each
security_group=`ec2-get-info --security-groups | awk -F: '{print $2}'`
my_instance_id=`ec2-get-info --instance-id | awk -F: '{print $2}'`
for i in `/mnt/apps/bin/running_instances.py $security_group $my_instance_id`
do
    ssh -o "StrictHostKeyChecking no" -i $EC2_PRIVATE_KEY_PATH newsapps@$i 'sudo service apache2 restart'
    echo "restarted Apache on $i"
done
